Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::EventListener Class Reference

An object to handle the callbacks for handling the LinphoneEvent operations. More...

`#include <event_listener.hh>`

Inheritance diagram for linphone::EventListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onNotifyResponse (const std::shared_ptr< const linphone::Event > &linphoneEvent)
| Callback used to notify the response to a sent NOTIFY.

## Detailed Description

An object to handle the callbacks for handling the LinphoneEvent operations.

## Member Function Documentation

## ◆ onNotifyResponse()

virtual LINPHONECXX_PUBLIC void linphone::EventListener::onNotifyResponse | ( | const std::shared_ptr< const linphone::Event > & | linphoneEvent | ) |
| inline virtual

Callback used to notify the response to a sent NOTIFY.

Parameters

  linphoneEvent | The Event object that has sent the NOTIFY and for which we received a response

The documentation for this class was generated from the following file:

- event_listener.hh